Bug 12496 - Popup menues appear in the upper left coner uner Linux
Popup menues appear in the upper left coner uner Linux
Status: CLOSED WONTFIX
Product: platform
Classification: Unclassified
Component: Documentation
3.x
PC Linux
: P2 (vote)
: TBD
Assigned To: issues@www
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-30 05:21 UTC by Mikhail Romanov
Modified: 2008-12-23 11:39 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
screenshot describing the bug (36.39 KB, image/png)
2001-07-20 20:38 UTC, Mikhail Romanov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Romanov 2001-05-30 05:21:10 UTC
This bug exists in FFJ CE 010523 under Red Hat Linux 6.2 (Zoot) 
with GNOME and jdk1.3.1-b24.

Very often when I click right mouse button on any node in 
explorer popup menu appears in the upper left coner of the screen
(see screenshot in attachment).
Comment 1 Mikhail Romanov 2001-05-30 05:25:18 UTC
Created attachment 1464 [details]
screenshot describing the bug
Comment 2 Mikhail Romanov 2001-05-30 06:56:56 UTC
Actually it happens when the entire popup menu can not be placed in explorer
window. So make explorer window as thin as possible and try to call popup menu
on some node after that.
Comment 3 David Strupl 2001-05-30 08:43:48 UTC
Try adding this 
-Dnetbeans.popup.linuxhack=true
to the jreflags variable in the launcher script or invoke the
script with -J-Dnetbeans.popup.linuxhack=true command line arg.
I hope it is documented somewhere - if not that is really a documentation bug.
Comment 4 Jiri Mzourek 2001-06-01 12:52:34 UTC
Please use: -J-Dnetbeans.popup.linuxhack=true

Comment 5 Patrick Keegan 2002-04-05 12:08:28 UTC
Since this problem still exists, I'm marking this issue with RELNOTE 
to flag it for the release notes of future releases.

Suggested text: 

When right-clicking a node, the contextual menu appears in the 
upper-left corner of the screen. This bug only occurs with some Linux 
window managers.

Workaround: In the IDE's installation directory, open the bin 
directory. Open the ide.cfg file and add the following option:

-J-Dnetbeans.popup.linuxhack=true
Comment 6 Jesse Glick 2003-05-15 21:05:24 UTC
Does this bug persist under any version of JDK 1.4? If not, we should
remove the workaround system property from the trunk.
Comment 7 Quality Engineering 2003-07-01 15:52:32 UTC
Resolved for 3.4.x or earlier, no new info since then -> verified
Comment 8 Quality Engineering 2003-07-01 16:12:59 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 9 Patrick Keegan 2004-03-03 22:42:08 UTC
removing RELNOTE keyword


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo